# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()

    url_download = "https://www.zeusedit.com/lite/bin/zl.zip"
    latest_bin = url_download.split("/")[-1]

    # Downloading latest binaries
    print("Download URL is: %s" % url_download )
    wget(url_download , latest_bin, proxies=proxies)
 
    setup_file = unzip(latest_bin, target=basedir)
    extracted_file_path = setup_file[0]
    remove_file('readme.txt')
    remove_file(latest_bin)
           
    if extracted_file_path != latest_bin:
        for existing_file in glob.glob("*.exe"):
            if existing_file != os.path.basename(extracted_file_path):  # Comparaison avec le nom de fichier seulement
                remove_file(existing_file)

    version = str(Version(get_version_from_binary(extracted_file_path, property_name='FileVersion'), members_count=2))

    control.set_software_version(version)
    control.save_control_to_wapt()

    return package_updated
